import { EventEmitter, IEventMap } from '../common/events';
export declare const messageNode: EventEmitter<any, WebView>;
export interface WebViewEvents extends IEventMap {
    'did-start-loading': [];
    'did-finish-load': [];
    'did-fail-load': [number, string];
    'did-stop-loading': [];
    'page-title-updated': [string];
}
export declare class WebView extends EventEmitter<WebViewEvents> {
    constructor(callbacks: {
        onPageTitleUpdated: (title: string) => void;
        onReadyToShow: () => void;
    });
    readonly id: number;
    isDestroyed(): boolean;
    loadHTMLString(html: string): void;
    loadFile(filePath: string): void;
    loadURL(url: string): void;
    send(channelName: string, ...args: any[]): void;
    setDevToolsEnabled(enabled: boolean): void;
    reload(): void;
}
export declare const WebViews: {
    getAllWebViews(): WebView[];
    /**
     * Alias to [[getAllWebViews]]
     */
    getAllWebContents(): WebView[];
    /**
     * Alias to [[getFocusedWebView]]
     */
    getFocusedWebContents(): WebView | null;
    getFocusedWebView(): WebView | null;
    fromId(id: number): WebView | null;
};
